GNU bug report logs - #14194
24.3; Hexl-mode fontification

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Jordon Biondo <biondoj@HIDDEN>; Keywords: patch; merged with #24645; dated Fri, 12 Apr 2013 19:18:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 14194 24645. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'minor' from 'normal' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Apr 2013 19:17:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 12 15:17:54 2013
Received: from localhost ([127.0.0.1]:47783 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UQjTs-0008Sh-V0
	for submit <at> debbugs.gnu.org; Fri, 12 Apr 2013 15:17:54 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46114)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <biondoj@HIDDEN>) id 1UQiwA-0005Q0-5W
	for submit <at> debbugs.gnu.org; Fri, 12 Apr 2013 14:43:03 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <biondoj@HIDDEN>) id 1UQisE-0006ar-Ax
	for submit <at> debbugs.gnu.org; Fri, 12 Apr 2013 14:39:06 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
	version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:38124)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <biondoj@HIDDEN>) id 1UQisE-0006ak-6M
	for submit <at> debbugs.gnu.org; Fri, 12 Apr 2013 14:38:58 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57346)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <biondoj@HIDDEN>) id 1UQis7-0007Xi-7F
	for bug-gnu-emacs@HIDDEN; Fri, 12 Apr 2013 14:38:58 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <biondoj@HIDDEN>) id 1UQirz-0006VA-Nr
	for bug-gnu-emacs@HIDDEN; Fri, 12 Apr 2013 14:38:51 -0400
Received: from mail-ie0-x231.google.com ([2607:f8b0:4001:c03::231]:51331)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <biondoj@HIDDEN>) id 1UQirz-0006Us-Gy
	for bug-gnu-emacs@HIDDEN; Fri, 12 Apr 2013 14:38:43 -0400
Received: by mail-ie0-f177.google.com with SMTP id 9so3410680iec.22
	for <bug-gnu-emacs@HIDDEN>; Fri, 12 Apr 2013 11:38:42 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
	d=google.com; s=20120113;
	h=x-received:from:content-type:content-transfer-encoding:subject:date
	:message-id:to:mime-version:x-mailer:x-gm-message-state;
	bh=EEkuT2jvcYdIzbAnplL0Cr7jaGcj9NwEXTdqniHjMYg=;
	b=jJAp0DQGkASThW1K/T+6Y4WgxXertJ28COjkXQUuxg7f03BLaFzbD63LsBrZayd9ue
	3Yu2snBE1xfrrnM0XQvbE80H3UJQixz0loiEDUpSGeQBInq7TotNmRAawXx3FEP+J6Fg
	S1SaSDgIk1BoN9PRvKYJM4/PvfV/oLUgDQFjhQdvWpueVztSI1lR2FYUKm7JGY0mrBRU
	TVZ8c201lc21rVyjNxcyw71p2zgFHi2Bi+3IBwOnEsfzmV6CUPzt4p9VM8dzn6ocACJ+
	uyqROOAGE8yFbsGCcmzWd05iRWlELQoNGnhQQDs0oIevcbGa71s/PdBAH1PqTV1ajSQ9
	tLAw==
X-Received: by 10.50.195.134 with SMTP id ie6mr2537012igc.6.1365791922113;
	Fri, 12 Apr 2013 11:38:42 -0700 (PDT)
Received: from [192.168.2.4] ([64.85.131.86])
	by mx.google.com with ESMTPS id ih1sm3800336igc.3.2013.04.12.11.38.39
	(version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
	Fri, 12 Apr 2013 11:38:41 -0700 (PDT)
From: Jordon Biondo <biondoj@HIDDEN>
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Subject: 24.3; Hexl-mode fontification
Date: Fri, 12 Apr 2013 14:37:25 -0400
Message-Id: <8EC88D62-7DB5-430A-8E4A-CCE304F3AF4F@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Mime-Version: 1.0 (Apple Message framework v1085)
X-Mailer: Apple Mail (2.1085)
X-Gm-Message-State: ALoCoQkfUv3VNXevbVliJomHZSuV2zFTWQVqMmHrr1602ktvIBu47aPOU0kh1IRrD/rS8ChxZLn9
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
	(bad octet value).
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 12 Apr 2013 15:17:50 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

Message-ID: =
<m28v4n7fzy.fsf@HIDDEN=
e>
--text follows this line--
It seems that hexl-mode does not fontify the buffer when it loads.
As a result custom settings to the two hexl-mode faces are not loaded.
This can be fixed by adding this to my config

(add-hook 'hexl-mode-hook 'font-lock-fontify-buffer)

but hexl-mode should be doing this automatically.

Source: =
http://stackoverflow.com/questions/15952355/configure-colors-in-hexl-mode-=
emacs/15978365#15978365


In GNU Emacs 24.3.1 (x86_64-apple-darwin, NS apple-appkit-1038.36)
of 2013-03-12 on bob.porkrind.org
Windowing system distributor `Apple', version 10.3.1038
Configured using:
`configure '--host=3Dx86_64-apple-darwin' '--build=3Di686-apple-darwin'
'--with-ns' 'build_alias=3Di686-apple-darwin'
'host_alias=3Dx86_64-apple-darwin' 'CC=3Dgcc -mmacosx-version-min=3D10.5 =
''

Important settings:
  locale-coding-system: nil
  default enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-networks-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  global-hl-line-mode: t
  show-paren-mode: t
  global-auto-complete-mode: t
  auto-complete-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
n n n n n n n n n n n n n n n n n n n n n n n n n n=20
n n n C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/=20
C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/=20
C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/=20
C-/ C-/ C-/ C-/ C-/ C-/ C-/ C-/ M-x s e t - f a c <tab>=20
f o r e <tab> <return> h e x <tab> <tab> d <tab> <return>=20
r e d <return> C-p C-p M-x C-g M-x f o n t - l <tab>=20
<tab> m o d <tab> <return> M-x <up> <return> C-x k=20
<return> y e s C-g C-x C-s C-g C-x k <return> C-g M-x=20
C-g M-x s e t - f a c e <tab> f o e r <tab> <backspace>=20
<backspace> r <tab> <return> h e x <tab> <tab> <tab>=20
a d d <backspace> <backspace> <backspace> c i <tab>=20
<backspace> c <backspace> s c <tab> <backspace> <backspace>=20
<tab> <tab> <backspace> <tab> s <tab> <return> y e=20
l l o w <return> C-x C-s C-g C-x k <return> C-g C-x=20
C-x C-s C-g C-x k <return> y e s <return> C-g <down-mouse-1>=20
<mouse-1> M-x f i l e - b u <tab> <backspace> <backspace>=20
<backspace> <backspace> <backspace> <backspace> b u=20
<backspace> <backspace> <backspace> f <tab> <tab> i=20
e <tab> <tab> <tab> <tab> <backspace> <tab> l <backspace>=20
e <tab> <tab> <tab> <backspace> <tab> <tab> <tab> l=20
e <tab> <tab> <tab> <tab> <tab> <tab> <tab> C-a C-k=20
b u <tab> g <tab> <tab> <tab> <tab> <tab> <tab> <tab>=20
<tab> C-a k r e <backspace> C-a C-k r e p <tab> <tab>=20
<tab> o r <tab> <tab> <tab> <return>

Recent messages:
user-error: No further undo information [6 times]
Making completion list...
Quit
Making completion list...
Font-Lock mode disabled
Font-Lock mode enabled
Quit [4 times]
Making completion list... [2 times]
Quit [4 times]
Making completion list... [7 times]

Load-path shadows:
~/Git/web-mode/web-mode hides ~/Git/Emacs/Vendor/web-mode
~/Git/Emacs/Vendor/ruby/ruby-mode hides =
/Applications/Emacs.app/Contents/Resources/lisp/progmodes/ruby-mode
/Users/Jordon/.emacs.d/elpa/flymake-0.4.13/flymake hides =
/Applications/Emacs.app/Contents/Resources/lisp/progmodes/flymake

Features:
(shadow sort mail-extr emacsbug sendmail crm ruler-mode hexl pcmpl-unix
message rfc822 mml ...)




Acknowledgement sent to Jordon Biondo <biondoj@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#14194; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 29 Nov 2017 15:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.